<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);
ini_set('memory_limit', '512M');
date_default_timezone_set('Europe/Madrid');
//include("conexion.php");
if(isset($_REQUEST["date"])) 
	$date=$_REQUEST["date"]; 
else die();

function mssql_escape($str)
{
    if(get_magic_quotes_gpc())
    {
        $str= stripslashes($str);
    }
    return str_replace("'", "''", $str);
}

$serverName = "localhost";
$connectionInfo = array( "Database"=>"ICF", "UID"=>"VAIO", "PWD"=>"VAIO");

$connNavision=false;
$retries=0;
while(!$connNavision && $retries<3){
	$connNavision = sqlsrv_connect( $serverName, $connectionInfo);
	$retries++;
}
	if( $connNavision ) {
		 //echo "Conexion establecida con Navision.\r\n";
	}else{
		 //echo "Conexion no se pudo establecer con Navision.\r\n";
		 die( print_r( sqlsrv_errors(), true));
	}

	$sql="SELECT s.[No.] as number, p.Description as description, PATINDEX('%[^A-Za-z.''0-9]%',LTRIM(RTRIM(p.[Due Date Calculation]))) as time from [ICF].[dbo].[Ind. Campollano Ferreterķa S.L\$Sales Shipment Header] s 
		  LEFT JOIN [ICF].[dbo].[Ind. Campollano Ferreterķa S.L\$Payment Terms] p ON p.Code = s.[Payment Terms Code] 
		  WHERE CAST(PATINDEX('%[^A-Za-z.''0-9]%',LTRIM(RTRIM(p.[Due Date Calculation]))) AS int) > 2 and s.[Document Date] ='".$date."'";

	$temp_object=null;
	$item=[];
	$stmt = sqlsrv_query( $connNavision, $sql );
	if( $stmt !== false) {
		while($row = sqlsrv_fetch_array( $stmt, SQLSRV_FETCH_ASSOC)){
			foreach($row as $key=>$object){
				$temp_object[$key]=!is_object($object)?utf8_encode($object):$object;						
			}
			$item[]=$temp_object;
		}
	}

echo json_encode($item, JSON_PRETTY_PRINT);
?>

